package cn.iocoder.yudao.module.member.service.storebusiness;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.controller.admin.business.vo.BusinessRespVO;
import cn.iocoder.yudao.module.member.controller.admin.business.vo.StatisticsVo;
import cn.iocoder.yudao.module.member.controller.admin.screen.vo.TurnoverVO;
import cn.iocoder.yudao.module.member.controller.admin.storebusiness.vo.StoreBusinessPageReqVO;
import cn.iocoder.yudao.module.member.controller.admin.storebusiness.vo.StoreBusinessSaveReqVO;
import cn.iocoder.yudao.module.member.controller.app.business.vo.BusinessDataVO;
import cn.iocoder.yudao.module.member.dal.dataobject.storebusiness.StoreBusinessDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 超市营业统计 Service 接口
 *
 * @author 管理员
 */
public interface StoreBusinessService {

    /**
     * 创建超市营业统计
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createStoreBusiness(@Valid StoreBusinessSaveReqVO createReqVO);

    /**
     * 更新超市营业统计
     *
     * @param updateReqVO 更新信息
     */
    void updateStoreBusiness(@Valid StoreBusinessSaveReqVO updateReqVO);

    /**
     * 删除超市营业统计
     *
     * @param id 编号
     */
    void deleteStoreBusiness(Long id);

    /**
     * 获得超市营业统计
     *
     * @param id 编号
     * @return 超市营业统计
     */
    StoreBusinessDO getStoreBusiness(Long id);

    /**
     * 获得超市营业统计分页
     *
     * @param pageReqVO 分页查询
     * @return 超市营业统计分页
     */
    PageResult<StoreBusinessDO> getStoreBusinessPage(StoreBusinessPageReqVO pageReqVO);


    void updateStatistics(StatisticsVo vo);

    BusinessDataVO getDay(String time, Long carteenId);


    BusinessDataVO getMonth(String time,Long carteenId);


    BusinessRespVO getTurnover(TurnoverVO turnoverVO);

    List<BusinessRespVO> getTurnoverList(TurnoverVO turnoverVO);
}